put
https://pluto.cargobase.com/api/1/shipments/
The Shipment detail end-point can be used to cancel any booked shipment. A cancelation should only be done if pickup has not truly occurred. Also, an LSP might charge a cancelation fee or still invoice the full quoted value of the shipment. The options of this end-point are intentionally limited.
Note This end-point only applies to Shippers
Request URI
PUT https://pluto.cargobase.com/api/1/shipments/S12345678
Content-Type: application/json
Authentication: Token 'your_token_here'
Body message
For reasons of consistency, the body message contains the organization object. Other familiar object categories cannot be updated and are not part of this PUT request.
Main object categories
| Category parameter | Purpose |
|---|---|
| organization | To cancel the request |
organization values
| Key | Value | Mandatory | Purpose | Parent object |
|---|---|---|---|---|
| changed_by | STRING | OPTIONAL | This can be the email id of another Cargobase account id | organization |
| shipment_status | STRING | OPTIONAL | Can only be used to cancel a shipment, expecte value: 'canceled' | organization |
| cancel_comment | STRING | OPTIONAL | Can be used to share additional feedback to the provider, use only in combination with request_status | organization |
Status codes
| Status | Description | Resolution |
|---|---|---|
| 201 | Created | "Success : true" |
| 403 | Forbidden | check Authentication token |